@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.8/dist/web/static/pretendard.css");

.container {
    max-width: 1280px;
    margin: 0 auto;
}

body {
    font-family: "Pretendard";
}

/* header 영역 작성 */
header {
    background-color: #f2e9d8;
    display: flex;
    flex-direction: column;
    align-items: center;

    position: sticky;
    top: 0;

    /* 카카오 맵이 z-index를 가져와서 */
    z-index: 1000;
}

/* header bar 부분 */
.top-navigation-bar {
    width: 100%;
    max-width: 1240px;

    display: flex;
    justify-content: space-between;
    padding: 26px 20px;
}

.logo {
    width: 130px;
    height: 40px;
}

/* 초기 상태 */
.menu-tab {
    display: none;
    width: 32px;
    height: 32px;

    background-image: url(../img/menu.png);
    background-size: cover;
    cursor: pointer;

    font-size: 16px;
    font-weight: 700;
    line-height: 20px;

    cursor: pointer;
}

.close-btn {
    display: none;

    width: 32px;
    height: 32px;

    /* 베경 이미지 */
    background-image: url(../img/arrow-right.png);
    background-size: cover;

    /* 위치 지정 */
    position: absolute;
    top: 22px;
    left: 20px;
    cursor: pointer;
}

.top-nav-element {
    display: flex;
    align-items: center;
}

.nav-links a {
    width: 43px;
    height: 20px;
    margin: 0 15px;
}

.download-btn {
    width: 140px;
    height: 50px;
    margin-left: 49px;
    border-radius: 40px;

    color: white;
    background-color: #d97652;
}

#header {
    height: 818px;
    background-color: #f2e9d8;
    display: flex;
    justify-content: center;
}

/* header-content 부분 */
.header-content {
    width: 1280px;
    display: flex;
    justify-content: space-between;
    background-color: #f2e9d8;
    overflow: hidden;
}

.header-text-section {
    font-size: 16px;
    text-align: left;
}

.header-text-section h1 {
    width: 695px;
    height: 120px;

    font-size: 48px;
    font-weight: 700;
    line-height: 60px;

    margin-top: 200px;
}

.header-text-section p {
    width: 420px;
    height: 86px;

    font-size: 16px;
    font-weight: 400;
    line-height: 20px;

    margin-top: 40px;
}

.header-text-section button {
    margin-top: 40px;
    margin-left: 0;
}

.header-image-section {
    width: 415px;
    height: 890px;
    margin-top: 32px;
}

.header-image-section img {
    width: 100%;
    height: 100%;
    margin-top: 32px;
}

/* Body 영역 총 BodyFirst, BodySecond,BodyThird,subscribe 4가지 영역을 구분  */

/* BodyFirst */
.BodyFirst {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.BodyFirst img {
    width: 690px;
    height: 390px;
    object-fit: cover;

    border-radius: 30px;
    box-shadow: 10px 10px 30px 0px #00000040;

    margin-top: 80px;
    margin-right: 110px;
}

.bodyfirst-text-section {
    width: 510px;
    text-align: left;
}

.bodyfirst-text-section h1 {
    height: 135px;

    font-size: 36px;
    font-weight: 700;
    line-height: 45px;
}

.bodyfirst-text-section p {
    height: 40px;

    font-size: 16px;
    font-weight: 400;
    line-height: 20px;

    margin-top: 30px;
}

/* Body Second */
.bodysecond-text-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;

    margin-top: 120px;
}

.bodysecond-text-section {
    text-align: center;
}

.bodysecond-text-section h4 {
    width: 875px;
    height: 60px;

    font-size: 48px;
    font-weight: 700;
    line-height: 60px;
    color: #d97652;
}

.bodysecond-text-section p {
    width: 710px;
    height: 42px;

    font-size: 16px;
    font-weight: 400;
    line-height: 20px;

    margin-top: 40px;
    margin-bottom: 88px;
}

.bodysecond-text-section span {
    font-size: 16px;
    font-weight: 700;
    line-height: 20px;
    color: #d97652;
}

.bodysecond-image-section span {
    width: 1278px;
    margin-top: 88px;
    margin-bottom: 100px;
}

.frame3,
.frame4 {
    height: 378px;
    display: flex;
    justify-content: space-between;
    margin-bottom: 72px;
}

.frame3 img,
.frame4 img {
    width: 378px;
    height: 378px;
    border-radius: 30px;
    box-shadow: 10px 10px 30px 0px #00000040;
}

.frame5 {
    width: 290px;
    height: 108px;

    margin: 28px auto 100px auto;
    text-align: center;
}

.frame5 span {
    width: 290px;
    height: 30px;

    font-size: 24px;
    font-weight: 700;
    line-height: 30px;
    text-align: center;
}

.frame5 button {
    width: 143px;
    height: 50px;

    border-radius: 40px;
    color: #fff;
    background: #d97652;
    margin-top: 28px;
}

hr {
    width: 100%;
    max-width: 1280px;

}

/* Body Third */
.bodythird h2 {
    height: 45px;
    font-size: 36px;
    font-weight: 700;
    line-height: 45px;
    text-align: left;

    margin-top: 63px;
    margin-bottom: 20px;
}

.bodythird p {
    height: 20px;
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    text-align: left;

    margin-bottom: 48px;

    color: #606367;
}

#map {
    width: 100%;
    max-width: 1280px;
    border-radius: 12px;
}

/* subscribes */
.subscribe {
    position: relative;
    left: 50%;
    transform: translate(-50%, 50%);

    width: 100%;
    max-width: 1280px;
    height: 200px;

    border-radius: 30px;

    display: flex;
    justify-content: space-around;
    align-items: center;

    background-color: #263140;
    color: #fff;
}

.sub-text-section {
    height: 100%;
    height: 99px;

    text-align: left;
}

.sub-text-section h3 {
    font-size: 36px;
    font-weight: 700;
    margin-bottom: 18px;
    margin-right: 23px;
}

.sub-text-section p {
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
}

.sub-input-section {
    width: 530px;

    height: 60px;
    position: relative;
    display: flex;
}

.sub-input-section input {
    width: 100%;

    border-radius: 60px;
    background: url(../img/mail.png) no-repeat 28px center;
    background-size: 24px;
    padding-left: 68px;

    background-color: #fff;

    font-size: 16px;
}

.sub-input-section input::placeholder {
    color: #767676; /* 회색으로 변경 */
}

.sub-input-section button {
    width: 135px;
    height: 50px;

    position: absolute;
    border-radius: 40px;
    top: 5px;
    bottom: 5px;
    right: 6px;

    font-size: 16px;
    font-weight: 700;
    color: #fff;
    background-color: #d97652;
}

.sub-img img {
    width: 100%;
    height: 340px;
    object-fit: cover;
    background: #f2e9d899;
}

/* scroll-top-btn */
#scroll-top-btn {
    position: fixed;

    bottom: 19px;
    right: 23px;

    width: 50px;
    height: 50px;

    background-image: url(../img/scroll-top-btn.png);
    background-size: cover;
    background-color: transparent;
    cursor: pointer;

    display: none;
}

#scroll-top-btn:hover {
    background-image: url(../img/scroll-top-btn-hover.png);
}

#scroll-top-btn.show {
    display: block;
}

#modalContainer {
    z-index: 1000;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.5);
}

#modalPanel {
    background-image: url(../img/modal-background.png);
    background-size: cover;

    width: 600px;
    height: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 30px;
}

#modalContainer.hidden {
    display: none;
}

#modalPanel img {
    width: 110px;
    height: 112px;
    margin-top: 60px;
}

#modalPanel h3 {
    font-size: 36px;
    font-weight: 700;
    line-height: 45px;
    margin-top: 24px;

    color: #d97652;
}

#modalPanel p {
    width: 365px;
    height: 18px;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;

    margin-top: 12px;
}

#modalPanel button {
    width: 183px;
    height: 50px;
    top: 310px;
    left: 205px;
    padding: 15px 29px 15px 29px;
    gap: 10px;
    border-radius: 40px;

    color: #fff;
    background-color: #d97652;

    margin-top: 38px;
}

/* 푸터 스타일 */
.footer-div {
    height: 160px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-logo img {
    width: 226px;
    height: 70px;
}

.footer-icons img {
    width: 228px;
    height: 42px;
    cursor: pointer;
}

.footer-menu {
    display: none;
    width: 84px;
    height: 120px;

    color: #767676;

    position: relative;
}

.footer-menu a {
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
}